Create a pricing intent

A pricing intent is a template of fees that you apply to processing accounts when you board merchants. You can apply the same pricing intent to all processing accounts that you create or create multiple pricing intents to apply to different processing accounts. A pricing intent can include the following fee types:

  • Base fees: For monthly maintenance, chargebacks, and early contract termination. All pricing intents must include base fees.
  • Processor fees: For card payments and Automated Clearing House (ACH) payments. Processor fees also include the pricing model that you offer to the merchant, for example, RewardPay.
  • Gateway fees: For using our payment gateway.

Integration steps

  • Create a pricing intent.

Before you begin

Authenticate your requests before making API calls. If your request fails, see Errors.

Create a pricing intent

Send a POST request to our Pricing Intents endpoint:

Request parameters

To create the body of your request, use the following parameters:

Request

5.2objectRequired
Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.2.

Example request

POST
/v1/pricing-intents
1curl -X POST https://api.payroc.com/v1/pricing-intents \
2 -H "Idempotency-Key: 8e03978e-40d5-43e8-bc93-6894a57f9324" \
3 -H "Authorization: Bearer <token>" \
4 -H "Content-Type: application/json" \
5 -d '{
6 "base": {
7 "addressVerification": 5,
8 "annualFee": {
9 "amount": 9900,
10 "billInMonth": "june"
11 },
12 "batch": 1500,
13 "chargeback": 2500,
14 "earlyTermination": 57500,
15 "maintenance": 500,
16 "minimum": 100,
17 "pciNonCompliance": 4995,
18 "platinumSecurity": {
19 "billingFrequency": "monthly"
20 },
21 "regulatoryAssistanceProgram": 15,
22 "retrieval": 1500,
23 "voiceAuthorization": 95
24 },
25 "country": "US",
26 "key": "Your-Unique-Identifier",
27 "metadata": {
28 "yourCustomField": "abc123"
29 },
30 "processor": {
31 "card": {
32 "fees": {
33 "amex": {
34 "transaction": 0,
35 "type": "optBlue",
36 "volume": 0.12
37 },
38 "mastercardVisaDiscover": {
39 "transaction": 0,
40 "volume": 0.12
41 }
42 },
43 "planType": "interchangePlus"
44 }
45 },
46 "services": [
47 {
48 "enabled": true,
49 "name": "hardwareAdvantagePlan"
50 }
51 ],
52 "version": "5.2"
53}'

Response fields

If your request is successful, our gateway creates the pricing intent. The response contains the following fields:

Response

5.2objectRequired
Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.2.

Example response

Response
1{
2 "base": {
3 "addressVerification": 5,
4 "annualFee": {
5 "amount": 100,
6 "billInMonth": "june"
7 },
8 "batch": 1000,
9 "chargeback": 2500,
10 "earlyTermination": 57500,
11 "maintenance": 500,
12 "minimum": 100,
13 "pciNonCompliance": 4995,
14 "platinumSecurity": {
15 "amount": 1295,
16 "billingFrequency": "monthly"
17 },
18 "regulatoryAssistanceProgram": 15,
19 "retrieval": 1500,
20 "voiceAuthorization": 95
21 },
22 "country": "US",
23 "createdDate": "2024-07-02T09:00:00Z",
24 "gateway": {
25 "fees": {
26 "monthly": 2000,
27 "perDeviceMonthly": 10,
28 "perTransaction": 2000,
29 "setup": 5000
30 }
31 },
32 "id": "5",
33 "key": "Your-Unique-Identifier",
34 "lastUpdatedDate": "2024-07-02T09:00:00Z",
35 "metadata": {
36 "yourCustomField": "abc123"
37 },
38 "processor": {
39 "ach": {
40 "fees": {
41 "accountVerification": 100,
42 "batch": 1000,
43 "discountRateAbove10000": 10,
44 "discountRateUnder10000": 5.25,
45 "monthlyMinimum": 20000,
46 "returns": 400,
47 "statement": 800,
48 "transaction": 50,
49 "unauthorizedReturn": 1999
50 }
51 },
52 "card": {
53 "fees": {
54 "amex": {
55 "transaction": 5,
56 "type": "optBlue",
57 "volume": 1.25
58 },
59 "electronicBenefitsTransfer": {
60 "transaction": 10
61 },
62 "mastercardVisaDiscover": {
63 "transaction": 5,
64 "volume": 1.25
65 },
66 "pinDebit": {
67 "additionalDiscount": 1.25,
68 "monthlyAccess": 1200,
69 "transaction": 10
70 },
71 "specialityCards": {
72 "transaction": 10
73 }
74 },
75 "planType": "interchangePlus"
76 }
77 },
78 "services": [
79 {
80 "enabled": true,
81 "name": "hardwareAdvantagePlan"
82 }
83 ],
84 "status": "pendingReview",
85 "version": "5.2"
86}